### Method

# Gio Socket speaks_ipv4

since: 2.22

#### Declaration [src]

    gboolean
    g_socket_speaks_ipv4 (
      GSocket* socket
    )

#### Description [src]

Checks if a socket is capable of speaking IPv4.

IPv4 sockets are capable of speaking IPv4. On some operating systems and under some combinations of circumstances IPv6 sockets are also capable of speaking IPv4. See RFC 3493 section 3.7 for more information.

No other types of sockets are currently considered as being capable of speaking IPv4.

Available since: 2.22

#### Return value

Type: `gboolean`

`TRUE` if this socket can be used with IPv4.